From: "Alexey Shvetsov" <alexxy@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/flask-babel/
Date: Tue, 11 Feb 2020 11:42:45 +0000 (UTC) [thread overview]
Message-ID: <1581421281.49cbf780a78005f824e8223c73e0594189a43d86.alexxy@gentoo> (raw)
commit: 49cbf780a78005f824e8223c73e0594189a43d86
Author: Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 11 09:37:45 2020 +0000
Commit: Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
CommitDate: Tue Feb 11 11:41:21 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=49cbf780
dev-python/flask-babel: Version bump
Package-Manager: Portage-2.3.86, Repoman-2.3.20
Signed-off-by: Alexey Shvetsov <alexxy <AT> gentoo.org>
dev-python/flask-babel/Manifest | 1 +
dev-python/flask-babel/flask-babel-0.12.2.ebuild | 56 ++++++++++++++++++++++++
2 files changed, 57 insertions(+)
diff --git a/dev-python/flask-babel/Manifest b/dev-python/flask-babel/Manifest
index b88ecc2eb8c..977c1199e85 100644
--- a/dev-python/flask-babel/Manifest
+++ b/dev-python/flask-babel/Manifest
@@ -1 +1,2 @@
DIST Flask-Babel-0.11.2.tar.gz 41105 BLAKE2B 88cd5f2f72c7533f173a3fef7acdcd9ee882b06111f112da18075ce007f94cb342acd16f35da138ca0548b5bd0fd8070d4b3b7941a136e5490c3b45d1351d239 SHA512 d95947983ff5bc33a28384f000512e85ed64c16555aa03e110a32b7c0c9e91eebc02259bfc69a0dbc84adb6ecf8155cffaecde5726658d64d36435060de3f22b
+DIST Flask-Babel-0.12.2.tar.gz 44567 BLAKE2B a164dd527595412c451ee7bd772c8579f76d0202df3e1cb4c4952dab4aa4225001f5fa35938e72892a6452da1a9b70b2fd661249b2f37953fe3963046631d384 SHA512 c43bf5cf6c66e3a8a52298f52bd6300cf0b0c53a1f0fb5862b1bcf8a9800ea0e043c9f85125bb9eb5c281a3c0583c63f0f9653792204883a6f82080547b37104
diff --git a/dev-python/flask-babel/flask-babel-0.12.2.ebuild b/dev-python/flask-babel/flask-babel-0.12.2.ebuild
new file mode 100644
index 00000000000..775d2c7f5a4
--- /dev/null
+++ b/dev-python/flask-babel/flask-babel-0.12.2.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python2_7 python3_{6,7,8} )
+inherit distutils-r1
+
+MY_PN="Flask-Babel"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="i18n and l10n support for Flask based on Babel and pytz"
+HOMEPAGE="https://pythonhosted.org/Flask-Babel/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/Babel[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.5[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? (
+ dev-python/flask-sphinx-themes[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ )
+ test? (
+ ${RDEPEND}
+ dev-python/nose[${PYTHON_USEDEP}]
+ )
+"
+
+S="${WORKDIR}/${MY_P}"
+
+python_prepare_all() {
+ sed -i -e "s/, 'sphinx.ext.intersphinx'//" docs/conf.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ if use doc; then
+ sphinx-build docs docs/_build/html || die
+ HTML_DOCS=( docs/_build/html/. )
+ fi
+}
+
+python_test() {
+ nosetests -v || die "Tests failed under ${EPYTHON}"
+}
next reply other threads:[~2020-02-11 11:42 UTC|newest]
Thread overview: 48+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-02-11 11:42 Alexey Shvetsov [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-18 19:10 [gentoo-commits] repo/gentoo:master commit in: dev-python/flask-babel/ Michał Górny
2023-11-02 5:37 Michał Górny
2023-11-01 20:37 Arthur Zamarin
2023-10-02 4:46 Michał Górny
2023-06-02 18:19 Michał Górny
2023-06-02 18:19 Michał Górny
2023-05-09 5:26 Michał Górny
2023-05-09 3:03 Arthur Zamarin
2023-04-08 5:13 Michał Górny
2023-04-06 3:07 Michał Górny
2023-03-11 9:53 Michał Górny
2023-03-11 8:34 Arthur Zamarin
2023-02-07 14:31 Michał Górny
2023-02-07 14:31 Michał Górny
2023-01-30 7:15 Michał Górny
2023-01-16 5:50 Michał Górny
2023-01-08 5:06 Michał Górny
2023-01-07 18:28 Arthur Zamarin
2022-12-01 14:21 Michał Górny
2022-12-01 14:21 Michał Górny
2022-12-01 14:21 Michał Górny
2022-03-24 22:50 Jakov Smolić
2021-06-04 14:40 Michał Górny
2020-10-01 12:22 Michał Górny
2020-10-01 1:07 Sam James
2020-08-27 7:00 Michał Górny
2020-07-09 5:14 Michał Górny
2020-07-09 5:14 Michał Górny
2020-06-24 7:07 Michał Górny
2020-05-04 11:04 Michał Górny
2020-05-04 6:16 Mart Raudsepp
2020-04-27 9:30 Michał Górny
2020-03-25 13:00 Michał Górny
2020-03-25 13:00 Michał Górny
2020-03-11 6:35 Michał Górny
2020-02-05 21:28 Andreas Sturmlechner
2019-12-03 3:02 Aaron Bauman
2019-07-18 12:04 Louis Sautier
2019-07-18 12:04 Louis Sautier
2018-06-24 14:09 Jason Zaman
2018-06-19 22:48 Louis Sautier
2018-01-03 23:35 Michał Górny
2017-12-22 16:32 Jason Zaman
2017-09-16 14:23 Patrick Lauer
2016-08-09 11:01 Patrick Lauer
2016-05-11 12:24 Patrick Lauer
2016-04-18 9:06 Ian Delaney
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1581421281.49cbf780a78005f824e8223c73e0594189a43d86.alexxy@gentoo \
--to=alexxy@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox